import { ExtendedApp, ExtendedAppProps } from './extended-app';
/**
 * Properties for SingleEnvApp
 */
export interface SingleEnvAppProps extends ExtendedAppProps {
    /**
     * The name of the property in the context where the environment name is stored.
     * Default is "env".
     *
     * @default - env
     */
    readonly environmentPropertyName?: string;
}
/**
 * Extension of ExtendedApp that supports a standard way to declare environment names.
 */
export declare class SingleEnvApp extends ExtendedApp {
    readonly environmentName: string;
    constructor(props?: SingleEnvAppProps);
    /**
     * Returns the name of the environment.
     */
    getEnvironmentName(): string;
    /**
     * Returns the name of the environment in title case.
     */
    getEnvironmentNameTitleCase(): string;
}
