"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StandardApiCachePolicy = exports.DEFAULT_API_CACHE_HEADERS = void 0;
const aws_cloudfront_1 = require("aws-cdk-lib/aws-cloudfront");
const aws_cdk_lib_1 = require("aws-cdk-lib");
exports.DEFAULT_API_CACHE_HEADERS = [
    'Accept',
    'Accept-Language',
    'Access-Control-Request-Headers',
    'Access-Control-Request-Method',
    'Authorization',
];
class StandardApiCachePolicy extends aws_cloudfront_1.CachePolicy {
    constructor(scope, id, additionalHeaders) {
        super(scope, id, {
            maxTtl: aws_cdk_lib_1.Duration.seconds(31536000),
            minTtl: aws_cdk_lib_1.Duration.seconds(0),
            defaultTtl: aws_cdk_lib_1.Duration.seconds(0),
            cookieBehavior: aws_cloudfront_1.CacheCookieBehavior.all(),
            headerBehavior: aws_cloudfront_1.CacheHeaderBehavior.allowList(...exports.DEFAULT_API_CACHE_HEADERS, ...(additionalHeaders !== null && additionalHeaders !== void 0 ? additionalHeaders : [])),
            queryStringBehavior: aws_cloudfront_1.CacheQueryStringBehavior.all(),
            enableAcceptEncodingBrotli: true,
            enableAcceptEncodingGzip: true,
        });
    }
}
exports.StandardApiCachePolicy = StandardApiCachePolicy;
//# sourceMappingURL=standard-api-cache-policy.js.map