"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StandardApiOriginRequestPolicy = exports.DEFAULT_API_ORIGIN_HEADERS = void 0;
const aws_cloudfront_1 = require("aws-cdk-lib/aws-cloudfront");
exports.DEFAULT_API_ORIGIN_HEADERS = [
    'Accept',
    'Accept-Language',
    'Access-Control-Request-Headers',
    'Access-Control-Request-Method',
    'Content-Type',
    'Origin',
    'Referer',
];
class StandardApiOriginRequestPolicy extends aws_cloudfront_1.OriginRequestPolicy {
    constructor(scope, id, additionalHeaders) {
        super(scope, id, {
            cookieBehavior: aws_cloudfront_1.OriginRequestCookieBehavior.all(),
            queryStringBehavior: aws_cloudfront_1.OriginRequestQueryStringBehavior.all(),
            headerBehavior: aws_cloudfront_1.OriginRequestHeaderBehavior.allowList(...exports.DEFAULT_API_ORIGIN_HEADERS, ...(additionalHeaders !== null && additionalHeaders !== void 0 ? additionalHeaders : [])),
        });
    }
}
exports.StandardApiOriginRequestPolicy = StandardApiOriginRequestPolicy;
//# sourceMappingURL=standard-api-origin-request-policy.js.map