import { MetricAlarmBase, MetricAlarmBaseProps } from './metric-alarm-base';
import { ExtendedAlarm } from './extended-alarm';
import { Metric } from 'aws-cdk-lib/aws-cloudwatch';
export interface EstimatedChargesAlarmProps extends MetricAlarmBaseProps {
    /**
     * Amount in USD the estimated charges must be greater than to trigger the alarm.
     */
    readonly maxMonthly: number;
}
/**
 * Creates an alarm for estimated charges on an account.
 */
export declare class EstimatedChargesAlarm extends MetricAlarmBase<EstimatedChargesAlarmProps> {
    protected createMetric(): Metric;
    protected createAlarm(metric: Metric, props: EstimatedChargesAlarmProps): ExtendedAlarm;
}
