"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EstimatedChargesAlarm = void 0;
const metric_alarm_base_1 = require("./metric-alarm-base");
const extended_alarm_1 = require("./extended-alarm");
const aws_cloudwatch_1 = require("aws-cdk-lib/aws-cloudwatch");
const metric_helper_1 = require("./metric-helper");
/**
 * Creates an alarm for estimated charges on an account.
 */
class EstimatedChargesAlarm extends metric_alarm_base_1.MetricAlarmBase {
    createMetric() {
        return metric_helper_1.MetricHelper.billingEstimatedCharges();
    }
    createAlarm(metric, props) {
        return new extended_alarm_1.ExtendedAlarm(this, 'Alarm', {
            ...props,
            comparisonOperator: aws_cloudwatch_1.ComparisonOperator.GREATER_THAN_THRESHOLD,
            evaluationPeriods: 1,
            metric,
            threshold: props.maxMonthly,
        });
    }
}
exports.EstimatedChargesAlarm = EstimatedChargesAlarm;
//# sourceMappingURL=estimated-charges-alarm.js.map