"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PutItems = void 0;
const batch_write_item_1 = require("./batch-write-item");
/**
 * Custom resource to insert multiple items into a DynamoDB table.
 */
class PutItems extends batch_write_item_1.BatchWriteItem {
    constructor(scope, id, props) {
        const items = props.items.map(item => {
            return {
                PutRequest: {
                    Item: item,
                },
            };
        });
        const requestItems = { RequestItems: {} };
        requestItems.RequestItems[props.tableName] = items;
        super(scope, id, {
            items: requestItems,
            timeout: props.timeout,
            logRetention: props.logRetention,
        });
    }
}
exports.PutItems = PutItems;
//# sourceMappingURL=put-items.js.map