"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EcsServiceUpdate = void 0;
const custom_resources_1 = require("aws-cdk-lib/custom-resources");
const aws_cdk_1 = require("../../aws-cdk");
const aws_iam_1 = require("aws-cdk-lib/aws-iam");
const aws_cdk_lib_1 = require("aws-cdk-lib");
class EcsServiceUpdate extends aws_cdk_1.ExtendedConstruct {
    constructor(scope, id, props) {
        var _a;
        super(scope, id);
        if (props.desiredCount) {
            const stack = aws_cdk_lib_1.Stack.of(this);
            new custom_resources_1.AwsCustomResource(this, '', {
                installLatestAwsSdk: false,
                onUpdate: {
                    service: 'ECS',
                    action: 'updateService',
                    ignoreErrorCodesMatching: props.ignoreServiceNotFound
                        ? '.*ServiceNotFound.*'
                        : undefined,
                    parameters: {
                        cluster: props.cluster,
                        service: props.service,
                        desiredCount: props.desiredCount,
                    },
                    physicalResourceId: { id: Date.now().toString() },
                    outputPaths: ['service.desiredCount'],
                },
                policy: {
                    statements: [
                        new aws_iam_1.PolicyStatement({
                            resources: [
                                `arn:aws:ecs:${stack.region}:${stack.account}:service/${props.cluster}/${props.service}`,
                            ],
                            actions: ['ecs:UpdateService'],
                            effect: aws_iam_1.Effect.ALLOW,
                        }),
                    ],
                },
                timeout: (_a = props.timeout) !== null && _a !== void 0 ? _a : aws_cdk_lib_1.Duration.minutes(2),
            });
        }
    }
}
exports.EcsServiceUpdate = EcsServiceUpdate;
//# sourceMappingURL=ecs-service-update.js.map