"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtendedFunction = void 0;
const function_alarms_1 = require("./function-alarms");
const function_deployment_1 = require("./function-deployment");
const aws_lambda_1 = require("aws-cdk-lib/aws-lambda");
/**
 * Extended version of Function that supports alarms and deployments.
 */
class ExtendedFunction extends aws_lambda_1.Function {
    constructor(scope, id, props) {
        var _a, _b, _c, _d, _e, _f;
        super(scope, id, props);
        this.alarms = new function_alarms_1.FunctionAlarms(this, 'Alarms', {
            function: this,
            logGroup: this.logGroup,
            ...props,
        });
        if ((_b = (_a = props.deploymentOptions) === null || _a === void 0 ? void 0 : _a.createDeployment) !== null && _b !== void 0 ? _b : true) {
            this.deployment = new function_deployment_1.FunctionDeployment(this, 'Deployment', {
                ...props.deploymentOptions,
                function: this,
            });
            if ((_d = (_c = props.deploymentOptions) === null || _c === void 0 ? void 0 : _c.includeCriticalAlarms) !== null && _d !== void 0 ? _d : true) {
                this.deployment.addAlarms(...this.alarms.getCriticalAlarms());
            }
            if ((_f = (_e = props.deploymentOptions) === null || _e === void 0 ? void 0 : _e.includeWarningAlarms) !== null && _f !== void 0 ? _f : false) {
                this.deployment.addAlarms(...this.alarms.getWarningAlarms());
            }
        }
    }
}
exports.ExtendedFunction = ExtendedFunction;
//# sourceMappingURL=extended-function.js.map