import { FunctionAlarms, FunctionAlarmsOptions } from './function-alarms';
import { FunctionDeployment } from './function-deployment';
import { Construct } from 'constructs';
import { DeployedFunctionOptions } from './extended-function';
import { GoFunction, GoFunctionProps } from '@aws-cdk/aws-lambda-go-alpha';
/**
 * Properties for ExtendedGoFunction.
 */
export interface ExtendedGoFunctionProps extends GoFunctionProps, FunctionAlarmsOptions, DeployedFunctionOptions {
}
/**
 * Extended version of the GoFunction that supports alarms and deployments.
 */
export declare class ExtendedGoFunction extends GoFunction {
    readonly alarms: FunctionAlarms;
    readonly deployment?: FunctionDeployment;
    constructor(scope: Construct, id: string, props: ExtendedGoFunctionProps);
}
