import { Construct } from 'constructs';
import { FunctionAlarms, FunctionAlarmsOptions } from './function-alarms';
import { FunctionDeployment } from './function-deployment';
import { DeployedFunctionOptions } from './extended-function';
import { NodejsFunction, NodejsFunctionProps } from 'aws-cdk-lib/aws-lambda-nodejs';
export interface ExtendedNodejsFunctionProps extends NodejsFunctionProps, FunctionAlarmsOptions, DeployedFunctionOptions {
}
export declare class ExtendedNodejsFunction extends NodejsFunction {
    readonly alarms: FunctionAlarms;
    readonly deployment?: FunctionDeployment;
    private static findDepsLockFile;
    constructor(scope: Construct, id: string, props: ExtendedNodejsFunctionProps);
}
