"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StandardFunction = void 0;
const aws_cdk_lib_1 = require("aws-cdk-lib");
const helpers_1 = require("../../helpers");
const aws_lambda_1 = require("aws-cdk-lib/aws-lambda");
const extended_function_1 = require("./extended-function");
class StandardFunction extends extended_function_1.ExtendedFunction {
    constructor(scope, id, props) {
        var _a;
        const local = props.disableLocalBundling
            ? undefined
            : {
                tryBundle(outputDir, options) {
                    var _a;
                    try {
                        if (!props.isLocalBundlingSupported()) {
                            return false;
                        }
                    }
                    catch (_b) {
                        return false;
                    }
                    return helpers_1.ShellHelper.executeBash({
                        script: (_a = props.bundlingScript) !== null && _a !== void 0 ? _a : props.defaultBundlingScript,
                        workingDirectory: props.entry,
                        environment: {
                            ...options.environment,
                            CDK_BUNDLING_OUTPUT_DIR: outputDir,
                        },
                    });
                },
            };
        const command = props.disableDockerBundling
            ? undefined
            : ['bash', '-c', (_a = props.bundlingScript) !== null && _a !== void 0 ? _a : props.defaultBundlingScript];
        super(scope, id, {
            ...props,
            code: aws_lambda_1.Code.fromAsset(props.entry, {
                bundling: {
                    image: props.defaultBundlingImage,
                    local,
                    command,
                    environment: {
                        CDK_BUNDLING_OUTPUT_DIR: '/asset-output/',
                        ...props.bundlingEnvironment,
                    },
                    outputType: aws_cdk_lib_1.BundlingOutput.NOT_ARCHIVED,
                    ...props.bundling,
                },
            }),
        });
    }
}
exports.StandardFunction = StandardFunction;
//# sourceMappingURL=standard-function.js.map