import { IAliasRecordTarget, RecordTarget } from 'aws-cdk-lib/aws-route53';
/**
 * Extends the RecordTarget class providing the ability to set evaluateTargetHealth for alias records.
 */
export declare class ExtendedRecordTarget extends RecordTarget {
    protected constructor(values?: string[], aliasTarget?: IAliasRecordTarget, evaluateTargetHealth?: boolean);
    /**
     * Creates a new RecordTarget from an alias.
     *
     * @param aliasTarget the alias to target
     * @param evaluateTargetHealth determines if Route53 should evaluate target health
     */
    static fromAlias(aliasTarget: IAliasRecordTarget, evaluateTargetHealth?: boolean): RecordTarget;
}
