"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LatencyARecord = void 0;
const aws_route53_1 = require("aws-cdk-lib/aws-route53");
const aws_cdk_lib_1 = require("aws-cdk-lib");
/**
 * An extended ARecord that performs latency based routing.
 */
class LatencyARecord extends aws_route53_1.ARecord {
    /**
     * Creates a new LatencyARecord.
     */
    constructor(scope, id, props) {
        var _a, _b;
        super(scope, id, props);
        const rs = this.node.defaultChild;
        rs.region = (_a = props.region) !== null && _a !== void 0 ? _a : aws_cdk_lib_1.Stack.of(this).region;
        rs.setIdentifier = (_b = props.setIdentifier) !== null && _b !== void 0 ? _b : aws_cdk_lib_1.Stack.of(this).region;
        rs.healthCheckId = props.healthCheckId;
    }
}
exports.LatencyARecord = LatencyARecord;
//# sourceMappingURL=latency-a-record.js.map