"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WeightedARecord = void 0;
const aws_route53_1 = require("aws-cdk-lib/aws-route53");
const aws_cdk_lib_1 = require("aws-cdk-lib");
/**
 * An extended ARecord that performs weight based routing.
 */
class WeightedARecord extends aws_route53_1.ARecord {
    /**
     * Creates a new WeightedARecord.
     */
    constructor(scope, id, props) {
        var _a, _b;
        super(scope, id, props);
        const rs = this.node.defaultChild;
        rs.weight = (_a = props.weight) !== null && _a !== void 0 ? _a : 0;
        rs.setIdentifier = (_b = props.setIdentifier) !== null && _b !== void 0 ? _b : aws_cdk_lib_1.Stack.of(this).region;
        rs.healthCheckId = props.healthCheckId;
    }
}
exports.WeightedARecord = WeightedARecord;
//# sourceMappingURL=weighted-a-record.js.map