import { Construct } from 'constructs';
import { AddToPrincipalPolicyResult, Grant, IManagedPolicy, IPrincipal, IRole, Policy, PolicyStatement, PrincipalPolicyFragment, Role } from 'aws-cdk-lib/aws-iam';
import { ResourceEnvironment, RemovalPolicy, Stack } from 'aws-cdk-lib';
export interface DestinationBucketOptions {
    readonly bucketName: string;
    readonly region?: string;
    readonly account?: string;
}
export interface ReplicationRoleProps {
    readonly sourceBucketName: string;
    readonly destinationBuckets: DestinationBucketOptions[];
}
export declare class ReplicationRole extends Construct implements IRole {
    readonly role: Role;
    readonly roleArn: string;
    readonly roleName: string;
    readonly assumeRoleAction: string;
    readonly policyFragment: PrincipalPolicyFragment;
    readonly principalAccount?: string;
    readonly grantPrincipal: IPrincipal;
    readonly stack: Stack;
    readonly env: ResourceEnvironment;
    constructor(scope: Construct, id: string, props: ReplicationRoleProps);
    grant(grantee: IPrincipal, ...actions: string[]): Grant;
    grantPassRole(grantee: IPrincipal): Grant;
    grantAssumeRole(grantee: IPrincipal): Grant;
    addToPrincipalPolicy(statement: PolicyStatement): AddToPrincipalPolicyResult;
    attachInlinePolicy(policy: Policy): void;
    addManagedPolicy(policy: IManagedPolicy): void;
    applyRemovalPolicy(policy: RemovalPolicy): void;
}
