"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReceiptRuleSetActivator = void 0;
const custom_resources_1 = require("aws-cdk-lib/custom-resources");
const aws_iam_1 = require("aws-cdk-lib/aws-iam");
class ReceiptRuleSetActivator extends custom_resources_1.AwsCustomResource {
    constructor(scope, id, props) {
        const call = {
            service: 'SES',
            action: 'setActiveReceiptRuleSet',
            physicalResourceId: { id: Date.now().toString() },
            parameters: {
                RuleSetName: props.ruleSetName,
            },
        };
        super(scope, id, {
            onUpdate: call,
            policy: {
                statements: [
                    new aws_iam_1.PolicyStatement({
                        resources: ['*'],
                        actions: ['ses:SetActiveReceiptRuleSet'],
                        effect: aws_iam_1.Effect.ALLOW,
                    }),
                ],
            },
        });
    }
}
exports.ReceiptRuleSetActivator = ReceiptRuleSetActivator;
//# sourceMappingURL=receipt-rule-set-activator.js.map