"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtendedQueue = void 0;
const aws_sqs_1 = require("aws-cdk-lib/aws-sqs");
const queue_alarms_1 = require("./queue-alarms");
const aws_cdk_lib_1 = require("aws-cdk-lib");
/**
 * Queue with CloudWatch alarms.
 */
class ExtendedQueue extends aws_sqs_1.Queue {
    constructor(scope, id, props) {
        super(scope, id, props);
        this.queueAlarms = new queue_alarms_1.QueueAlarms(this, 'Alarms', {
            queue: this,
            ...props,
        });
    }
    /**
     * Helper method to find a queue by name. This method assumes the queue is in the same account and region as the stack.
     *
     * @param scope the scope
     * @param id the identifier to use
     * @param queueName the name of the queue
     */
    static fromQueueName(scope, id, queueName) {
        return aws_sqs_1.Queue.fromQueueArn(scope, id, aws_cdk_lib_1.Arn.format({
            service: 'sqs',
            resource: queueName,
        }));
    }
}
exports.ExtendedQueue = ExtendedQueue;
//# sourceMappingURL=extended-queue.js.map