import { AwsCustomResource } from 'aws-cdk-lib/custom-resources';
import { Construct } from 'constructs';
import { Duration } from 'aws-cdk-lib';
/**
 * Properties for ParameterReader
 */
export interface ParameterReaderProps {
    readonly parameterName: string;
    readonly region: string;
    readonly timeout?: Duration;
}
/**
 * Custom resource allowing SSM parameter strings to be read across regions.
 */
export declare class ParameterReader extends AwsCustomResource {
    constructor(scope: Construct, id: string, props: ParameterReaderProps);
    getStringValue(): string;
}
