/**
 * Helper methods for use on Strings.
 */
export declare class StringHelper {
    /**
     * Tests if a string is lower case alphanumeric
     *
     * @param str the string to check
     */
    static isLowerAlphanumeric(str?: string | null): boolean;
    /**
     * Tests if a string is upper case alphanumeric.
     *
     * @param str the string to check
     */
    static isUpperAlphanumeric(str?: string | null): boolean;
    /**
     * Tests if a string is PascalCase.
     *
     * @param str the string to test
     */
    static isPascalCase(str?: string | null): boolean;
    /**
     * Tests if a string is camelCase.
     *
     * @param str the string to test
     */
    static isCamelCase(str?: string | null): boolean;
    /**
     * Converts a string to snake_case
     *
     * @param str the string to convert
     */
    static toSnakeCase(str: string): string;
    /**
     * Converts a string to kebab-case
     *
     * @param str the string to convert
     */
    static toKebabCase(str: string): string;
    /**
     * Converts a string to camelCase.
     *
     * @param str the string to convert
     */
    static toCamelCase(str: string): string;
    /**
     * Converts a string to PascalCase.
     *
     * @param str the string to convert
     */
    static toPascalCase(str: string): string;
}
